
Redmine - Defect #23103

Wiki in Markdown syntax mode improperly renders successive headers.

2016-06-18 22:06 - Jasmine Hegman

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 3.2.2

Description

I have found when using Markdown syntax that the headers get wonky when used in succession. I have attached screenshots to

illustrate.

Given the input image, I expect First, Second, Third to appear uniformly

but as seen in the output image First is treated as a sub-sub-sub-level heading

In the respectively titled image, you can see that sub-sub-sub level headings are given underlines in this style.

Environment Information:

Environment:

Redmine version                3.2.2.stable

Ruby version                   2.2.5-p319 (2016-04-26) [x86_64-linux]

Rails version                  4.2.5.2

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.8.10

Mercurial                      3.1.2

Bazaar                         2.7.0

Git                            2.1.4

Filesystem

Redmine plugins:

no plugin installed

Related issues:

Related to Redmine - Feature #28392: Improve wiki headings style Closed

History

#1 - 2016-07-12 17:00 - Toshi MARUYAMA

- Category changed from UI to Text formatting

#2 - 2018-07-01 04:00 - Go MAEDA

- Related to Feature #28392: Improve wiki headings style added

Files

markdown input.PNG 32 KB 2016-06-18 Jasmine Hegman

output.PNG 31.7 KB 2016-06-18 Jasmine Hegman

subsubsubsub level example.PNG 18 KB 2016-06-18 Jasmine Hegman
